Package org.apache.storm.trident.fluent

## Interface ChainedPartitionAggregatorDeclarer

- All Superinterfaces:
    `IChainedAggregatorDeclarer`
  All Known Implementing Classes:
    `ChainedAggregatorDeclarer`

      public interface ChainedPartitionAggregatorDeclarer
      extends IChainedAggregatorDeclarer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ChainedPartitionAggregatorDeclarer` | `partitionAggregate​(Aggregator agg, Fields functionFields)` |
    `ChainedPartitionAggregatorDeclarer` | `partitionAggregate​(CombinerAggregator agg, Fields functionFields)` |
    `ChainedPartitionAggregatorDeclarer` | `partitionAggregate​(ReducerAggregator agg, Fields functionFields)` |
    `ChainedPartitionAggregatorDeclarer` | `partitionAggregate​(Fields inputFields, Aggregator agg, Fields functionFields)` |
    `ChainedPartitionAggregatorDeclarer` | `partitionAggregate​(Fields inputFields, CombinerAggregator agg, Fields functionFields)` |
    `ChainedPartitionAggregatorDeclarer` | `partitionAggregate​(Fields inputFields, ReducerAggregator agg, Fields functionFields)` |

    - ### Methods inherited from interface org.apache.storm.trident.fluent.IChainedAggregatorDeclarer

      `chainEnd`

- - ### Method Detail

    - #### partitionAggregate

          ChainedPartitionAggregatorDeclarer partitionAggregate​(Aggregator agg,
                                                                Fields functionFields)

    - #### partitionAggregate

          ChainedPartitionAggregatorDeclarer partitionAggregate​(Fields inputFields,
                                                                Aggregator agg,
                                                                Fields functionFields)

    - #### partitionAggregate

          ChainedPartitionAggregatorDeclarer partitionAggregate​(CombinerAggregator agg,
                                                                Fields functionFields)

    - #### partitionAggregate

          ChainedPartitionAggregatorDeclarer partitionAggregate​(Fields inputFields,
                                                                CombinerAggregator agg,
                                                                Fields functionFields)

    - #### partitionAggregate

          ChainedPartitionAggregatorDeclarer partitionAggregate​(ReducerAggregator agg,
                                                                Fields functionFields)

    - #### partitionAggregate

          ChainedPartitionAggregatorDeclarer partitionAggregate​(Fields inputFields,
                                                                ReducerAggregator agg,
                                                                Fields functionFields)